Subject: Re: [PATCH v2 net-next 4/4] net: dsa: remove phylink_validate() method

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 14 Nov 2022 17:11:53 +0000

On Mon, Nov 14, 2022 at 07:07:30PM +0200, Vladimir Oltean wrote:
> As of now, no DSA driver uses a custom link mode validation procedure
> anymore. So remove this DSA operation and let phylink determine what is
> supported based on config->mac_capabilities (if provided by the driver).
> Leave a comment why we left the code that we did, and that there is more
> work to do.
> 
> Signed-off-by: Vladimir Oltean <[email-masked]>

Yay!

Reviewed-by: Russell King (Oracle) <[email-masked]>

Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!